---
version: "3"

networks:
  sync:

services:

  nextcloud:
    networks:
      - sync

  sync:
    image: {{ nextcloud_sync_container_image }}:{{ nextcloud_sync_container_version }}
    # build: ./rps-admin-tools/
    restart: "no"
    logging:
      options:
        max-size: 5m
    networks:
      - sync
    profiles:
      - default
      - full
      - only-rps-sync
    entrypoint: ''
    env_file: nextcloud-sync.env
    command: /opt/rps-admin-tools/{{nextcloud_sync_command_loop |  default('command_loop.sh')}} sync nextcloud
 